emulators/simh - The NetBSD Packages Collection

Bob Supniks historical computer simulator

Bob Supnik's historical computer simulator, including:

	3b2 alpha altair altairz80 b5000 besm6 cdc1700 eclipse gri
	h316 hp2100 hp3000 i1401 i1620 i650 i7000 i7094 ibm1130
	intel-systems id16 id32 lgp nova pdp1 pdp6 pdp10 pdp11 pdp18b
	pdp4 pdp7 pdp8 pdp9 s3 sage sds ssem tx0 vax

See http://www.netbsd.org/ports/vax/emulator-howto.html on how to
install NetBSD/vax on simh!

This version will not be updated further until questions regarding the
change of the licence in later versions have been resolved.

Alternatively, you can use emulators/open-simh, which forked off this
version in May 2020, or emulators/simh3, maintained solely by
Bob Supnik.

Build dependencies

pkgtools/x11-links x11/xorgproto x11/xcb-proto pkgtools/mktools devel/gmake pkgtools/cwrappers

Runtime dependencies

fonts/dejavu-ttf devel/SDL2 fonts/SDL2_ttf graphics/png devel/pcre devel/SDL2 fonts/SDL2_ttf graphics/png devel/pcre

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfsimh-4.0.0.20180919nb3.tgz
NetBSD 8.0i386simh-4.0.0.20211212nb1.tgz
NetBSD 8.0i386simh-4.0.0.20220501.tgz
NetBSD 8.0i386simh-4.0.0.20220501nb2.tgz
NetBSD 8.0powerpcsimh-4.0.0.20180919nb3.tgz
NetBSD 8.0powerpcsimh-4.0.0.20211211.tgz
NetBSD 8.0x86_64simh-4.0.0.20220501.tgz
NetBSD 8.0x86_64simh-4.0.0.20211212nb1.tgz
NetBSD 8.0x86_64simh-4.0.0.20220501nb2.tgz
NetBSD 9.0aarch64simh-4.0.0.20220501nb2.tgz
NetBSD 9.0aarch64simh-4.0.0.20211212nb1.tgz
NetBSD 9.0aarch64simh-4.0.0.20220501.tgz
NetBSD 9.0alphasimh-4.0.0.20211211.tgz
NetBSD 9.0earmsimh-4.0.0.20211211.tgz
NetBSD 9.0earmsimh-4.0.0.20211212nb1.tgz
NetBSD 9.0earmsimh-4.0.0.20220501.tgz
NetBSD 9.0earmv6hfsimh-4.0.0.20220501.tgz
NetBSD 9.0earmv6hfsimh-4.0.0.20211212nb1.tgz
NetBSD 9.0earmv6hfsimh-4.0.0.20220501nb2.tgz
NetBSD 9.0earmv7hfsimh-4.0.0.20211212nb1.tgz
NetBSD 9.0earmv7hfsimh-4.0.0.20220501nb2.tgz
NetBSD 9.0earmv7hfsimh-4.0.0.20220501.tgz
NetBSD 9.0i386simh-4.0.0.20220501.tgz
NetBSD 9.0i386simh-4.0.0.20211212nb1.tgz
NetBSD 9.0i386simh-4.0.0.20220501.tgz
NetBSD 9.0mips64ebsimh-4.0.0.20211212nb1.tgz
NetBSD 9.0mips64ebsimh-4.0.0.20220501.tgz
NetBSD 9.0powerpcsimh-4.0.0.20220501.tgz
NetBSD 9.0powerpcsimh-4.0.0.20180919nb3.tgz
NetBSD 9.0powerpcsimh-4.0.0.20211211.tgz
NetBSD 9.0sh3elsimh-4.0.0.20211211.tgz
NetBSD 9.0sh3elsimh-4.0.0.20211212nb1.tgz
NetBSD 9.0sparc64simh-4.0.0.20211211.tgz
NetBSD 9.0sparc64simh-4.0.0.20211212nb1.tgz
NetBSD 9.0sparc64simh-4.0.0.20220501.tgz
NetBSD 9.0sparc64simh-4.0.0.20220501nb2.tgz
NetBSD 9.0sparcsimh-4.0.0.20180919nb3.tgz
NetBSD 9.0sparcsimh-4.0.0.20211211.tgz
NetBSD 9.0sparcsimh-4.0.0.20211212nb1.tgz
NetBSD 9.0sparcsimh-4.0.0.20220501.tgz
NetBSD 9.0x86_64simh-4.0.0.20220501.tgz
NetBSD 9.0x86_64simh-4.0.0.20220501.tgz
NetBSD 9.0x86_64simh-4.0.0.20220501.tgz
NetBSD 9.0x86_64simh-4.0.0.20211212nb1.tgz
NetBSD 9.0x86_64simh-4.0.0.20211212nb1.tgz
NetBSD 9.0x86_64simh-4.0.0.20220501nb1.tgz
NetBSD 9.99.96aarch64ebsimh-4.0.0.20211212nb1.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.